Subject: Re: bug#51490: Show an indicator when Emacs is busy somewhere in the Emacs window

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Sep 2022 14:36:06 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked], "'Eli Zaretskii'" <[email-masked]>
> Date: Mon, 19 Sep 2022 22:16:48 +0200
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> >>> I'm not at all sure whether there'd be any negative repercussions to
> >>> spinning a glyph in the mode line area (for instance -- what about if
> >>> you're running over a slow ssh connection?), but perhaps it's worth
> >>> exploring and see how goes?
> >>
> >> Let's continue discussing this as a new bug.
> >
> > I wonder whether this could be implemented by modifying the glyphs in
> > the mode line directly instead of going through the entire mode line
> > machinery (for efficiency).  I was thinking we'd designate (say) the
> > first (or last) displayed position on the mode line as "the spinner"
> > (and restore the previous glyph there after finishing spinning, of
> > course).
> 
> Eli, does this seem like feasible approach to you?

I'm not sure I understand the problem and the proposed solution.  Are
we talking about having a spinning character, like | / - \, in the
mode lines of a window on TTY frames?  If so, what are you trying to
save by "modifying the glyphs directly", and why do you think doing so
will produce some savings, as opposed to just update the mode line
normally?